Skip to main content
POST
Create a reserved entry group for an event occurrence

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The ID of the resource to query by

Body

application/json
tickets
ReservedEntryTicketInput · object[]
required

Reserved entry settings for particular tickets.

Minimum array length: 1
name
string
required

The name of the Reserved Entry group.

Minimum string length: 1
Pattern: ^(\S).+$
maxCapacity
number
required

The maximum number of entries that can be reserved in this group.

Required range: x >= 0
type
enum<string>
required

The type of the Reserved Entry group.

  • MULTI_USE — Links are generic, so you can send one link to all of your participants.
  • SINGLE_USE — Links are tied to a specific person’s email address and can only be used once, meaning only the intended person can enter.
Available options:
MULTI_USE,
SINGLE_USE,
UNKNOWN
partnerId
string

The LDT ID of the partner this Reserved Entry group should be assigned. If omitted, the entries can be managed by the organizer only.

description
string

The description of the Reserved Entry group.

settings
ReservedEntryGroupSettings · object

The settings of the Reserved Entry group.

Response

200 - application/json

Default Response

Configuration for a Reserved Entry group.

id
string
required

The unique ID of the Reserved Entry group.

name
string
required

The name of the Reserved Entry group.

Minimum string length: 1
Pattern: ^(\S).+$
eventId
string
required

The unique ID of the event this Reserved Entry group is for.

eventOccurrenceId
string
required

The unique identifier for the occurrence of the Event, for which this participant is attending.

Example:

"6399c11c58f29f001ca95935"

maxCapacity
number
required

The maximum number of entries that can be reserved in this group.

Required range: x >= 0
usedCapacity
number
required

The number of entries that have been used in this group.

Required range: x >= 0
tickets
ReservedEntryTicket · object[]
required

Reserved entry settings for particular tickets.

Minimum array length: 1
type
enum<string>
required

The type of the Reserved Entry group.

  • MULTI_USE — Links are generic, so you can send one link to all of your participants.
  • SINGLE_USE — Links are tied to a specific person’s email address and can only be used once, meaning only the intended person can enter.
Available options:
MULTI_USE,
SINGLE_USE,
UNKNOWN
partnerId
string

The LDT ID of the partner this Reserved Entry group should be assigned. If omitted, the entries can be managed by the organizer only.

partnerName
string

Name of the partner.

description
string

The description of the Reserved Entry group.

settings
ReservedEntryGroupSettings · object

The settings of the Reserved Entry group.

createdAt
string

Represents a date and time in ISO 8601 format as a string.

The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:

  • YYYY: Four-digit year
  • MM: Two-digit month (01-12)
  • DD: Two-digit day of the month (01-31)
  • T: Delimiter indicating the start of the time component
  • HH: Two-digit hour in 24-hour format (00-23)
  • mm: Two-digit minutes (00-59)
  • ss.sss: Seconds with milliseconds (00.000-59.999)
  • Z: UTC timezone designator

Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".

Example:

"2026-05-08T11:30:00.000Z"

updatedAt
string

Represents a date and time in ISO 8601 format as a string.

The string should follow the format YYYY-MM-DDTHH:mm:ss.sssZ, where:

  • YYYY: Four-digit year
  • MM: Two-digit month (01-12)
  • DD: Two-digit day of the month (01-31)
  • T: Delimiter indicating the start of the time component
  • HH: Two-digit hour in 24-hour format (00-23)
  • mm: Two-digit minutes (00-59)
  • ss.sss: Seconds with milliseconds (00.000-59.999)
  • Z: UTC timezone designator

Example: To represent 11:30 AM on May 8th, 2026, the value would be: "2026-05-08T11:30:00.000Z".

Example:

"2026-05-08T11:30:00.000Z"